LandingLens and LandingEdge docs have moved to landinglens.docs.landing.ai!
curl -X POST 'https://api.va.landing.ai/v1/ade/classify' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'classes=[{"class":"Class 1","description":"Description of Class 1"},{"class":"Class 2","description":"Description of Class 2"}]' \
-F 'document=@document.pdf'{
"classification": [
{
"class": "<string>",
"page": 123,
"reason": "",
"suggested_class": "<string>"
}
],
"metadata": {
"filename": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"org_id": "<string>",
"job_id": "",
"version": "<string>"
}
}Classify the pages of a document into classes you define.
This endpoint accepts PDFs, images, and other supported file types
(either as a document upload or document_url) together with a
list of classes, and returns a classification result for each page.
For EU users, use this endpoint:
https://api.va.eu-west-1.landing.ai/v1/ade/classify.
curl -X POST 'https://api.va.landing.ai/v1/ade/classify' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'classes=[{"class":"Class 1","description":"Description of Class 1"},{"class":"Class 2","description":"Description of Class 2"}]' \
-F 'document=@document.pdf'{
"classification": [
{
"class": "<string>",
"page": 123,
"reason": "",
"suggested_class": "<string>"
}
],
"metadata": {
"filename": "<string>",
"page_count": 123,
"duration_ms": 123,
"credit_usage": 123,
"org_id": "<string>",
"job_id": "",
"version": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.landing.ai/llms.txt
Use this file to discover all available pages before exploring further.
Your unique API key for authentication.
Get your API key here: https://va.landing.ai/settings/api-key.
If using the EU endpoint, get your API key here: https://va.eu-west-1.landing.ai/settings/api-key.
The possible classes that can be assigned to pages in the document. Each entry is an object with a class name and an optional description. Only one class is assigned per page; unclassifiable pages receive 'unknown'. Can be provided as a JSON string in form data.
Show child attributes
A file to be classified. Either this parameter or the document_url parameter must be provided.
The URL of the document to be classified. Either this parameter or the document parameter must be provided.
Classification model version. Defaults to the latest.
Was this page helpful?